//+------------------------------------------------------------------+
//|                DamVoltSidebar             Damiani_volatmeter.mq4 |
//|       fxtsd.com         Copyright  2006, Luis Guilherme Damiani |
//|                                      http://www.damianifx.com.br |
//+------------------------------------------------------------------+
//DV: When the green line is BELOW the gray line - DON'T trade
#property copyright "Copyright  2006, Luis Guilherme Damiani"
#property link      "http://www.damianifx.com.br"
//---- indicator settings 
#property  indicator_separate_window
#property  indicator_buffers 2
#property  indicator_color1  ForestGreen  // Blue
#property  indicator_color2  SlateGray    //DarkGray
#property  indicator_minimum 0
#property  indicator_maximum 8

extern int  DVsbLevel = 1;
extern int       Viscosity=10;
extern int       Sedimentation=60;
extern double    Threshold_level=1.4;
extern bool      lag_supressor=true;

//---- indicator buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- drawing settings
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,167);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexLabel(0,"TradeZone");
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,167);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexLabel(1,"DO NOT Trade");
   IndicatorDigits(0);
 
//---- name for DataWindow and indicator subwindow label
   IndicatorShortName("DVsb"+NULL+"");   
//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Calculations                                                     |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
 
//---- main loop
   
for(int i=0; i<limit; i++)
{
ExtMapBuffer1[i] = EMPTY_VALUE; ExtMapBuffer2[i] = EMPTY_VALUE;
double threshold = iCustom(NULL, 0,"Damiani_volatmeter",Viscosity, Sedimentation,Threshold_level, 0,i );
double vol_t = iCustom(NULL, 0,"Damiani_volatmeter",Viscosity, Sedimentation,Threshold_level, 2,i );
if (vol_t > threshold )ExtMapBuffer1[i]=DVsbLevel;
if (vol_t < threshold)ExtMapBuffer2[i]=DVsbLevel;
}
return(0);
  }
//+------------------------------------------------------------------+

